io.vertx.reactivex.ext.web.handler

## Interface AuthenticationHandler

- All Superinterfaces:
    Handler<RoutingContext>
  All Known Subinterfaces:
    AuthHandler
  All Known Implementing Classes:
    BasicAuthHandler, ChainAuthHandler, DigestAuthHandler, JWTAuthHandler, OAuth2AuthHandler, RedirectAuthHandler

      public interface AuthenticationHandler
      extends Handler<RoutingContext>

  Base interface for auth handlers.

  An auth handler allows your application to provide authentication/authorization support.

  Auth handler requires a `SessionHandler` to be on the routing chain before it.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `authenticateHeader(RoutingContext context)` Returns
    `AuthenticationHandler` | `getDelegate()`
    `void` | `handle(RoutingContext event)` Something has happened, so handle it.
    `static AuthenticationHandler` | `newInstance(AuthenticationHandler arg)`
    `void` | `postAuthentication(RoutingContext ctx)` This method is called to perform any post authentication tasks, such as redirects.

- - ### Method Detail

    - #### getDelegate

          AuthenticationHandler getDelegate()

    - #### handle

          void handle(RoutingContext event)

      Something has happened, so handle it.
      Specified by:
        `handle` in interface `Handler<RoutingContext>`
      Parameters:
        `event` - the event to handle

    - #### authenticateHeader

          String authenticateHeader(RoutingContext context)

      Returns
      Parameters:
        `context` -
      Returns:

    - #### postAuthentication

          void postAuthentication(RoutingContext ctx)

      This method is called to perform any post authentication tasks, such as redirects. Overrides must call context.next() on success.
      Parameters:
        `ctx` - the routing context

    - #### newInstance

          static AuthenticationHandler newInstance(AuthenticationHandler arg)

Copyright © 2021 Eclipse. All rights reserved.